Bug 494534 - Please add COMPATIBILITY file to the %doc
Please add COMPATIBILITY file to the %doc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ksh (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 07:16 EDT by Tomas Smetana
Modified: 2010-03-14 17:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The COMPATIBILITY file describes differences between ksh-88 and ksh-93. This file was previously omitted from ksh, but is now added to %doc.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2009-04-07 07:16:09 EDT
Description of problem:
The questions and misunderstandings about differences between ksh88 and ksh93 are among the most frequent issues the users run into when migrating from the old UNIX systems to Linux.  We should make it a bit easier for them by providing the COMPATIBILITY document.

Version-Release number of selected component (if applicable):
ksh-20080202-10

How reproducible:
Always

Steps to Reproduce:
1. Try to find out where to find what are the differences between ksh88 and ksh93
  
Actual results:
There's nothing in the README file...
You end up searching the web.

Expected results:
The document is located in /usr/share/doc/ksh-20080202/COMPATIBILITY and you don't need to search for it anywhere else.

Additional info:
The document source is in: src/cmd/ksh93/COMPATIBILITY.
Comment 5 Ruediger Landmann 2009-05-19 00:07:01 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The COMPATIBILITY file describes differences between ksh-88 and ksh-93. This file was previously omitted from ksh, but is now added to %doc.
Comment 8 errata-xmlrpc 2009-09-02 05:11:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1256.html

Note You need to log in before you can comment on or make changes to this bug.